function labels = channelIBM(target,interference,LC,gt,winLength,winShift)

sigLength = length(target);

d = 2^ceil(log2(sigLength + length(gt)));
target = real(ifft((fft(target,d).*fft(gt',d))))';
target = target(1:sigLength);

d = 2^ceil(log2(sigLength + length(gt)));
interference = real(ifft((fft(interference,d).*fft(gt',d))))';
interference = interference(1:sigLength);

tarC = cochleagram(target, winLength, winShift);
intC = cochleagram(interference, winLength, winShift);

SNR = 10*log10(tarC./intC);
labels = SNR > LC;